Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.sam
Class SAMv3Handler.SessionsDB

    java.lang.Object
      net.i2p.sam.SAMv3Handler.SessionsDB

Enclosing class:
  SAMv3Handler

    public static class SAMv3Handler.SessionsDB

extends Object

Nested Class Summary
`(package private) class` | `SAMv3Handler.SessionsDB.ExistingDest`
`(package private) class` | `SAMv3Handler.SessionsDB.ExistingId`

Field Summary
`(package private) HashMap<String,SAMv3Handler.SessionRecord>` | `map`
`(package private) static long` | `serialVersionUID`

Constructor Summary
`SAMv3Handler.SessionsDB()`

Method Summary
`boolean` | `containsKey(String nick)`
`boolean` | `del(String nick)`
`SAMv3Handler.SessionRecord` | `get(String nick)`
`boolean` | `put(String nick, SAMv3Handler.SessionRecord session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### map

    HashMap<String,SAMv3Handler.SessionRecord> map

Constructor Detail

### SAMv3Handler.SessionsDB

    public SAMv3Handler.SessionsDB()

Method Detail

### put

    public boolean put(String nick,
                       SAMv3Handler.SessionRecord session)
                throws SAMv3Handler.SessionsDB.ExistingId,
                       SAMv3Handler.SessionsDB.ExistingDest

  Throws:
    `SAMv3Handler.SessionsDB.ExistingId`
    `SAMv3Handler.SessionsDB.ExistingDest`

### del

    public boolean del(String nick)

### get

    public SAMv3Handler.SessionRecord get(String nick)

### containsKey

    public boolean containsKey(String nick)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD